Skip to main content
GET
/
v0
/
rates
Get an exchange rate
curl --request GET \
  --url https://api-sandbox.superbank.co/v0/rates \
  --header 'X-Api-Key: <api-key>'
{
  "source_currency": "USDC",
  "destination_currency": "CAD",
  "mid_market_rate": 1.3788,
  "inverted_mid_market_rate": 0.7252,
  "effective_rate": 1.3712,
  "source_amount": 1000,
  "destination_amount": 1371.2,
  "fee": {
    "total": 9.97,
    "currency": "USDC"
  }
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

sourceCurrencyCode
string
required

Source currency code, e.g. USDC, USDT, EURC, USD.

Example:

"USDC"

sourceRail
string
required

Source rail / chain, e.g. SOLANA, TRON, POLYGON, ETHEREUM, ACH.

Example:

"SOLANA"

destinationCurrencyCode
string
required

Destination currency code, e.g. USD, CAD, EUR, USDC.

Example:

"CAD"

destinationRail
string
required

Destination rail, e.g. ACH, RTP, DOMESTIC_WIRE, LOCAL, SOLANA.

Example:

"LOCAL"

destinationCountryCode
string

ISO 3166-1 alpha-2 country code of the destination. Required when the destination is a fiat currency.

Example:

"CA"

sourceCountryCode
string

ISO 3166-1 alpha-2 country code of the source. Required when the source is a fiat currency (on-ramp).

Example:

"US"

sourceAmount
number

Amount in the source currency to convert. Mutually exclusive with destination_amount.

Example:

1000

destinationAmount
number

Amount in the destination currency to receive. Mutually exclusive with source_amount.

Example:

1000

Response

Rate retrieved successfully

source_currency
string
required
Example:

"USDC"

destination_currency
string
required
Example:

"CAD"

mid_market_rate
number
required

Destination units per one source unit, before fees.

Example:

1.3788

inverted_mid_market_rate
number
required

Inverse of mid_market_rate.

Example:

0.7252

effective_rate
number
required

All-in rate the customer receives per source unit, after all fees.

Example:

1.3712

source_amount
number
required

Amount debited in the source currency.

Example:

1000

destination_amount
number
required

Amount credited in the destination currency.

Example:

1371.2

fee
object
required